DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Static Public Member Functions | Static Private Attributes | List of all members
DJDecoderRegistration Class Reference

singleton class that registers decoders for all supported JPEG processes. More...

## Static Public Member Functions
static void | registerCodecs (E_DecompressionColorSpaceConversion pDecompressionCSConversion=EDC_photometricInterpretation, E_UIDCreation pCreateSOPInstanceUID=EUC_default, E_PlanarConfiguration pPlanarConfiguration=EPC_default, OFBool predictor6WorkaroundEnable=OFFalse, OFBool cornellWorkaroundEnable=OFFalse, OFBool pForceSingleFragmentPerFrame=OFFalse, OFBool setPreserveBitsStored=OFFalse)
| registers decoders for all supported JPEG processes. More...
static void | cleanup ()
| deregisters decoders. More...

## Static Private Attributes
static OFBool | registered
| flag indicating whether the decoders are already registered.
static DJCodecParameter * | cp
| pointer to codec parameter shared by all decoders
static DJDecoderBaseline * | decbas
| pointer to decoder for baseline JPEG
static DJDecoderExtended * | decext
| pointer to decoder for extended JPEG
static DJDecoderSpectralSelection * | decsps
| pointer to decoder for spectral selection JPEG
static DJDecoderProgressive * | decpro
| pointer to decoder for progressive JPEG
static DJDecoderP14SV1 * | decsv1
| pointer to decoder for lossless SV1 JPEG
static DJDecoderLossless * | declol
| pointer to decoder for lossless JPEG

## Detailed Description

singleton class that registers decoders for all supported JPEG processes.

## Member Function Documentation

## ◆ cleanup()

static void DJDecoderRegistration::cleanup | ( |  | ) |
| static

deregisters decoders.

Attention: Must not be called while other threads might still use the registered codecs, e.g. because they are currently decoding DICOM data sets through dcmdata.

## ◆ registerCodecs()

static void DJDecoderRegistration::registerCodecs | ( | E_DecompressionColorSpaceConversion | pDecompressionCSConversion = `EDC_photometricInterpretation`,
|  | E_UIDCreation | pCreateSOPInstanceUID = `EUC_default`,
|  | E_PlanarConfiguration | pPlanarConfiguration = `EPC_default`,
|  | OFBool | predictor6WorkaroundEnable = `OFFalse`,
|  | OFBool | cornellWorkaroundEnable = `OFFalse`,
|  | OFBool | pForceSingleFragmentPerFrame = `OFFalse`,
|  | OFBool | setPreserveBitsStored = `OFFalse`
| ) |  |
| static

registers decoders for all supported JPEG processes.

If already registered, call is ignored unless cleanup() has been performed before.

Parameters

  pCreateSOPInstanceUID | flag indicating whether or not a new SOP Instance UID should be assigned upon decompression.
  pPlanarConfiguration | flag indicating how planar configuration of color images should be encoded upon decompression.
  predictor6WorkaroundEnable | enable workaround for buggy lossless compressed images with overflow in predictor 6 for images with 16 bits/pixel
  cornellWorkaroundEnable | enable workaround for buggy Cornell lossless compressed images with Huffman table overflow
  pForceSingleFragmentPerFrame | while decompressing a multiframe image, assume one fragment per frame even if the JPEG data for some frame is incomplete
  setPreserveBitsStored | preserve BitsStored when decompressing even if inconsistent with J2K bitstream

The documentation for this class was generated from the following file:

- dcmjpeg/include/dcmtk/dcmjpeg/djdecode.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1